#!/usr/bin/env python
# encoding: utf-8
"""
An example config file that generates reports with no pass / fail information.

Created by G Martin August 2010.
Copyright (c) 2010 University of Wisconsin SSEC. All rights reserved.
"""

# you will need to import the glance.constants to get the standard names
import glance.constants as constants

# general settings to control how reports are created
settings = {}
settings[constants.DO_MAKE_IMAGES_KEY]        = True
settings[constants.USE_SHARED_ORIG_RANGE_KEY] = True


# info on the latitude and longitude variables that will be used
lat_lon_info = {}

# per variable defaults
defaultValues = {
              constants.EPSILON_KEY:                None,
              constants.EPSILON_FAIL_TOLERANCE_KEY: None,     
              constants.NONFINITE_TOLERANCE_KEY:    None,
              }

# a list of all the variables to analyze
#
# If you wish to analyze all possible variables,
# do not place any entries in the setOfVariables (ie. just
# leave it as an empty dictionary)
setOfVariables = {}

setOfVariables['Geocat ch 7 (MSG ch 4) clear sky brightness temperature'] = {
                      constants.VARIABLE_TECH_NAME_KEY: 'channel_7_brightness_temperature_clear',
                      }
setOfVariables['Geocat ch 8 (MSG ch 5) clear sky brightness temperature'] = {
                      constants.VARIABLE_TECH_NAME_KEY: 'channel_8_brightness_temperature_clear',
                      }
setOfVariables['Geocat ch 10 (MSG ch 6) clear sky brightness temperature'] = {
                      constants.VARIABLE_TECH_NAME_KEY: 'channel_10_brightness_temperature_clear',
                      }
setOfVariables['Geocat ch 11 (MSG ch 7) clear sky brightness temperature'] = {
                      constants.VARIABLE_TECH_NAME_KEY: 'channel_11_brightness_temperature_clear',
                      }
setOfVariables['Geocat ch 12 (MSG ch 8) clear sky brightness temperature'] = {
                      constants.VARIABLE_TECH_NAME_KEY: 'channel_12_brightness_temperature_clear',
                      }
setOfVariables['Geocat ch 14 (MSG ch 9) clear sky brightness temperature'] = {
                      constants.VARIABLE_TECH_NAME_KEY: 'channel_14_brightness_temperature_clear',
                      }
setOfVariables['Geocat ch 15 (MSG ch 10) clear sky brightness temperature'] = {
                      constants.VARIABLE_TECH_NAME_KEY: 'channel_15_brightness_temperature_clear',
                      }
setOfVariables['Geocat ch 16 (MSG ch 11) clear sky brightness temperature'] = {
                      constants.VARIABLE_TECH_NAME_KEY: 'channel_16_brightness_temperature_clear',
                      }
